%define	oname	pyodconverter
%define	module	odconverter
%define	user	oooconvert
%define	service	ooo-converter
%define revno	r27

Summary:	Python OpenDocument Converter
Name:		python-%{module}
Version:	1.2
Release:	%mkrel 0.%{revno}.3
License:	LGPLv2.1+
Group:		Development/Python
Url:		http://www.artofsolving.com/opensource/pyodconverter
# Based on my branch at http://launchpad.net/pyodconverter, heavily adapted
# for use with DocMGR package, please don't replace, but rather just merge
# the diff between previous upstream version if ever updating, or even better,
# check with me first. (hopefully upstream author will agree on merging when
# suggested sometime soon...)
Source0:	%{oname}-%{version}.tar.gz
Source1:	ooo-converter.init
BuildArch:	noarch
Requires:	openoffice.org-pyuno openoffice.org-writer
Requires:	openoffice.org-calc openoffice.org-impress
%if %{mdvver} == 200900
Requires:	python-setuptools
%else
Requires:	python-pkg-resources
%endif
Requires(pre):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	python-setuptools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PyODConverter is a Python module for automating office document conversions
from the command line using OpenOffice.org.

%prep
%setup -qn %{oname}-%{version}

%build
python setup.py build

tee %{service}.sysconf << EOH
# OpenOffice.org
OOFFICE_HOST="localhost"
OOFFICE_PORT="8100"
# Any additional options to pass to ooffice can be set here
OOFFICE_OPTIONS="-norestore -nofirststartwizard -invisible -nodefault -nologo -nolockcheck"
EOH

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

install -d %{buildroot}%{_localstatedir}/run/%{service}
install -m755 %{SOURCE1} -D %{buildroot}%{_initrddir}/%{service}
install -m644 %{service}.sysconf -D %{buildroot}%{_sysconfdir}/sysconfig/%{service}

%pre
%_pre_useradd %{user} %{_localstatedir}/run/%{service} /sbin/nologin

%post
%_post_service %{service}

%postun
%_postun_userdel %{user}

%preun
%_preun_service %{service}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/DocumentConverter
%{_initrddir}/%{service}
%{_sysconfdir}/sysconfig/%{service}
%{python_sitelib}/%{module}.py*
%{python_sitelib}/%{oname}*.egg-info
%attr(700,%{user},%{user}) %dir %{_localstatedir}/run/%{service}


%changelog
* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 1.2-0.r27.3mdv2011.0
+ Revision: 599413
- rebuild for py2.7

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix to depend on python-setuptools rather than python-pkg-resources on MES5

* Wed Oct 06 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2-0.r27.2mdv2011.0
+ Revision: 583624
- fix to work with /usr/bin/ooffice*
- add dependency on python-pkg-resources
- drop special arch dependent stuff for openoffice.org64 on MES, as MES 5.1 now
  comes with updated, standard 'openoffice.org' for 64 bit as well
- add dependencies on rpm-helper now that we ship the daemon with this package
- ensure that we have $PYTHONPATH set for loading the required python uno module
- ditch nonsense use of nonsense %%py_requires macro, helper script already adds
  python dependency automatically and no python extensions requiring
  'python-devel?\205?\132' are built either...
- move OOo daemon to this package, so it can be used independently by other apps

* Tue Jun 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2-0.r27.1mdv2010.1
+ Revision: 547255
- update to actual r27
- import python-odconverter


* Tue Apr 29 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2-0.r14.1
- initial release
